Nexus's Cuda 3.0.8 Incompatible with Cuda 3.0.14?

I’m using Nexus with the 195.62 driver, but can’t run any of the non-beta Cuda 3.0.14 SDK examples, which requires driver 197.13. Any workarounds besides reinstalling the 3.0 beta SDK, or installing 197.13 and losing debugging support.

Also, why do the 2 toolkits have different build rules? Is this just a temporary inconvenience?
It seems both are flexible enough to allow you to specify which NVCC to use, but which should I use to be future proof?

I’m interested in answer as well.